using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Runtime.Remoting.Metadata.W3cXsd2001;
using System.Text;
using System.Windows.Forms;
using AR;
using COMM;
namespace vmsnet
{
    public partial class FMain
    {

        
        /// <summary>
        /// user step 상황에서 자동으로 멈추지 않게 합니다.
        /// </summary>
        void UserStepWait()
        {
            if (VAR.BOOL.Get(EVarBool.USERSTEP))
            {
               
            }
        }

        /// <summary>
        /// user step 상황에서 자동으로 멈추게 합니다.
        /// </summary>
        void UserStepRun()
        {
            if (VAR.BOOL.Get(EVarBool.USERSTEP))
            {
                
            }
        }


        delegate void SelectModelHandler(string modelName);

        void ShowDataTable(System.Data.DataTable dt)
        {
            var f = new Form
            {
                Size = new Size(800, 600),
                StartPosition = FormStartPosition.CenterScreen
            };
            var drv = new DataGridView
            {
                DataSource = dt
            };
            drv.AutoResizeColumns();
            f.Controls.Add(drv);
            drv.Dock = DockStyle.Fill;
            f.Show();
        }

       
    }
}
